Skip to content

Client Credentials

POST
/oauth2/token

The client can request an access token using only its client credentials (or other supported means of authentication) when the client is requesting access to the protected resources under its control, or those of another resource owner that have been previously arranged with the authorization server (the method of which is beyond the scope of this specification).

See also RFC 6749, section 4.4.

object
grant_type
string
Allowed values: client_credentials
client_id

Request access here

string
client_secret

Request access here

string
scope

Leave blank for default scopes

string
audience

Audience of the access token being requested

string

Access token issued, with details on expiry

object
access_token

The access token issued by the authorization server.

string
expires_in

The lifetime in seconds of the access token.

number
token_type
string
scope

Granted scopes

string

client_id or client_secret incorrect or invalid